Records

Endpoints related to records

Retrieve records for a secondary zone

get

Returns the list of records for a secondary zone. Those are the records created for its primary IPs

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
secondaryZoneIdstring · uuidRequired

The ID (UUID) of the DNS secondary zone.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100
Responses
chevron-right
200

Successful operation.

application/json
idstring · uuidRead-onlyRequired

The resource's unique identifier.

Example: 42b21ce3-6fc7-44af-b0c9-2aaadbf2b333
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
offsetnumberRead-onlyRequired

Pagination offset.

Example: 0
limitnumberRead-onlyRequired

Pagination limit.

Example: 1000
get
/secondaryzones/{secondaryZoneId}/records

Retrieve all records from primary zones

get

Returns the list of all records for all customer DNS zones with the possibility to filter them.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Query parameters
filter.zoneIdstring · uuidOptional

Filter used to fetch only the records that contain specified zoneId.

Example: 1d6ca576-7162-4700-8df7-208bbe28fc44
filter.namestringOptional

Filter used to fetch only the records that contain specified record name.

Example: app
filter.statestring · enumOptional

The list of possible provisioning states in which DNS resource could be at the specific time.

  • AVAILABLE - resource exists and is healthy.
  • PROVISIONING - resource is being created or updated.
  • DESTROYING - delete command was issued, the resource is being deleted.
  • FAILED - creation of the resource failed.
Possible values:
filter.typestring · enumOptional

Holds supported DNS resource record types. In the DNS context a record is a DNS resource record.

Possible values:
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100
Responses
chevron-right
200

Successful operation.

application/json
idstring · uuidRead-onlyRequired

The resource's unique identifier.

Example: 42b21ce3-6fc7-44af-b0c9-2aaadbf2b333
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
offsetnumberRead-onlyRequired

Pagination offset.

Example: 0
limitnumberRead-onlyRequired

Pagination limit.

Example: 1000
get
/records

Retrieve records

get

Returns the list of records for the specific DNS zone.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Responses
chevron-right
200

Successful operation.

application/json
idstring · uuidRead-onlyRequired

The resource's unique identifier.

Example: 42b21ce3-6fc7-44af-b0c9-2aaadbf2b333
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
offsetnumberRead-onlyRequired

Pagination offset.

Example: 0
limitnumberRead-onlyRequired

Pagination limit.

Example: 1000
get
/zones/{zoneId}/records

Create a record

post

Creates a new record for the DNS zone.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

Body
Responses
post
/zones/{zoneId}/records

Retrieve a record

get

Returns the record with the specified record ID.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

recordIdstring · uuidRequired

The ID (UUID) of the record.

Responses
chevron-right
200

Successful operation.

application/json
idstring · uuidRead-onlyRequired

The record ID (UUID).

Example: 90d81ac0-3a30-44d4-95a5-12959effa6ee
typestring · enumRequiredPossible values:
hrefstring · uriRead-onlyRequiredExample: <RESOURCE-URI>
get
/zones/{zoneId}/records/{recordId}

Update a record

put

Updates or creates a DNS record for the provided record ID.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

recordIdstring · uuidRequired

The ID (UUID) of the DNS record.

Body
Responses
put
/zones/{zoneId}/records/{recordId}

Delete a record

delete

Deletes a specified record from the DNS zone.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
zoneIdstring · uuidRequired

The ID (UUID) of the DNS zone.

recordIdstring · uuidRequired

The ID (UUID) of the record.

Responses
delete
/zones/{zoneId}/records/{recordId}

Last updated

Was this helpful?